Subject: Re: RFC: per-socket statistics on received/dropped packets

From: Ben Greear <[email-masked]>
Date: Fri, 14 Jun 2002 11:09:51 -0700

Stephen Hemminger wrote:

> It sounds like what you want is socket accounting which works like
> process accounting.  I.e when a socket lifetime ends, put out a record
> with number of packets/bytes sent/received.

Runtime is much more interesting to me.  However, if you are keeping
enough information to do the accounting as you suggest, then it would
be trivial to make it available incrementally over the life of the
socket.

Billing is not the only interesting aspect of this.  It is also good for
any program trying to dynamically tune or understand the lower-level
characteristics of a particular routing path or interface.

Ben

-- 
Ben Greear <[email-masked]>       <Ben_Greear AT excite.com>
President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear